search doesn't find any files even though unity-place-files is running

Bug #777866 reported by Martin Pool on 2011-05-05
38
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Unity
Invalid
Undecided
Unassigned
Zeitgeist Extensions
Undecided
Unassigned
unity-2d
Undecided
Unassigned
unity-lens-files
Undecided
Unassigned
unity-place-files (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: unity-place-files

Having got past bug 662619 I have unity-place-files and zeitgeist-daemon installed and running. In gnome-activity-journal, I can see my recently changed files, and when I click the "files & folders" button, I can see some downloads, recent files, and favourite folders.

However, when I type into the search bar in the files lens, the spinner turns briefly but the list of files does not change. If I type a full filename or a substring it doesn't open or narrow down to that file. Also, in the global search lens, whatever that's called, I can't search for files at all.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity-place-files 0.5.46-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
Architecture: amd64
Date: Thu May 5 15:57:03 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
ProcEnviron:
 LANGUAGE=en_AU:en
 PATH=(custom, user)
 LANG=en_AU.UTF-8
 SHELL=/bin/zsh
SourcePackage: unity-place-files
UpgradeStatus: Upgraded to natty on 2011-04-03 (31 days ago)

Martin Pool (mbp) wrote :
Alkalyzer (alkalyzer) wrote :

I also experience the same problem in Natty.
My installation used to work perfectly fine, but yesterday, this bug suddenly appeared.
I am running Linux 2.6.38-8-generic x86_64.

I might have a clue what is happening there...
Can you run "zeitgeist-daemon --replace" in a terminal
then do a search in unity-place-files and tell me what the terminal says :)

2011/6/16 Lionel Trésaugues <email address hidden>

> I also experience the same problem in Natty.
> My installation used to work perfectly fine, but yesterday, this bug
> suddenly appeared.
> I am running Linux 2.6.38-8-generic x86_64.
>
> --
> You received this bug notification because you are subscribed to unity-
> place-files.
> https://bugs.launchpad.net/bugs/777866
>
> Title:
> search doesn't find any files even though unity-place-files is running
>
> Status in Unity:
> New
> Status in Unity 2D:
> New
> Status in Unity Files Place:
> New
> Status in “unity-place-files” package in Ubuntu:
> New
>
> Bug description:
> Binary package hint: unity-place-files
>
> Having got past bug 662619 I have unity-place-files and zeitgeist-
> daemon installed and running. In gnome-activity-journal, I can see my
> recently changed files, and when I click the "files & folders" button,
> I can see some downloads, recent files, and favourite folders.
>
> However, when I type into the search bar in the files lens, the
> spinner turns briefly but the list of files does not change. If I
> type a full filename or a substring it doesn't open or narrow down to
> that file. Also, in the global search lens, whatever that's called, I
> can't search for files at all.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity-place-files 0.5.46-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Thu May 5 15:57:03 2011
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64
> (20101007)
> ProcEnviron:
> LANGUAGE=en_AU:en
> PATH=(custom, user)
> LANG=en_AU.UTF-8
> SHELL=/bin/zsh
> SourcePackage: unity-place-files
> UpgradeStatus: Upgraded to natty on 2011-04-03 (31 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/777866/+subscriptions
>

Alkalyzer (alkalyzer) wrote :

Hi,

Here is the logfile as an attached document.
I pointed the instant when I opened the unity-place-files by this sign
"---->"

/lionel

On Thu, 2011-06-16 at 11:43 +0000, Seif Lotfy wrote:

> I might have a clue what is happening there...
> Can you run "zeitgeist-daemon --replace" in a terminal
> then do a search in unity-place-files and tell me what the terminal says :)
>
> 2011/6/16 Lionel Trésaugues <email address hidden>
>
> > I also experience the same problem in Natty.
> > My installation used to work perfectly fine, but yesterday, this bug
> > suddenly appeared.
> > I am running Linux 2.6.38-8-generic x86_64.
> >
> > --
> > You received this bug notification because you are subscribed to unity-
> > place-files.
> > https://bugs.launchpad.net/bugs/777866
> >
> > Title:
> > search doesn't find any files even though unity-place-files is running
> >
> > Status in Unity:
> > New
> > Status in Unity 2D:
> > New
> > Status in Unity Files Place:
> > New
> > Status in “unity-place-files” package in Ubuntu:
> > New
> >
> > Bug description:
> > Binary package hint: unity-place-files
> >
> > Having got past bug 662619 I have unity-place-files and zeitgeist-
> > daemon installed and running. In gnome-activity-journal, I can see my
> > recently changed files, and when I click the "files & folders" button,
> > I can see some downloads, recent files, and favourite folders.
> >
> > However, when I type into the search bar in the files lens, the
> > spinner turns briefly but the list of files does not change. If I
> > type a full filename or a substring it doesn't open or narrow down to
> > that file. Also, in the global search lens, whatever that's called, I
> > can't search for files at all.
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 11.04
> > Package: unity-place-files 0.5.46-0ubuntu5
> > ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> > Uname: Linux 2.6.38-8-generic x86_64
> > Architecture: amd64
> > Date: Thu May 5 15:57:03 2011
> > EcryptfsInUse: Yes
> > InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64
> > (20101007)
> > ProcEnviron:
> > LANGUAGE=en_AU:en
> > PATH=(custom, user)
> > LANG=en_AU.UTF-8
> > SHELL=/bin/zsh
> > SourcePackage: unity-place-files
> > UpgradeStatus: Upgraded to natty on 2011-04-03 (31 days ago)
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/unity/+bug/777866/+subscriptions
> >
>

Seif Lotfy (seif) wrote :

ok this is a bug
I will look into it
but to fix it try

"rm -r ~/.local/share/zeitgeist/fts.index"

then restart zeitgeist :)
it will take some time (1 minute) to build the new index but then it should
work

2011/6/16 Lionel Trésaugues <email address hidden>

> ** Attachment added: "Zeitgeist_replace.log"
>
> https://bugs.launchpad.net/bugs/777866/+attachment/2171541/+files/Zeitgeist_replace.log
>
> --
> You received this bug notification because you are subscribed to unity-
> place-files.
> https://bugs.launchpad.net/bugs/777866
>
> Title:
> search doesn't find any files even though unity-place-files is running
>
> Status in Unity:
> New
> Status in Unity 2D:
> New
> Status in Unity Files Place:
> New
> Status in “unity-place-files” package in Ubuntu:
> New
>
> Bug description:
> Binary package hint: unity-place-files
>
> Having got past bug 662619 I have unity-place-files and zeitgeist-
> daemon installed and running. In gnome-activity-journal, I can see my
> recently changed files, and when I click the "files & folders" button,
> I can see some downloads, recent files, and favourite folders.
>
> However, when I type into the search bar in the files lens, the
> spinner turns briefly but the list of files does not change. If I
> type a full filename or a substring it doesn't open or narrow down to
> that file. Also, in the global search lens, whatever that's called, I
> can't search for files at all.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity-place-files 0.5.46-0ubuntu5
> ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> Uname: Linux 2.6.38-8-generic x86_64
> Architecture: amd64
> Date: Thu May 5 15:57:03 2011
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64
> (20101007)
> ProcEnviron:
> LANGUAGE=en_AU:en
> PATH=(custom, user)
> LANG=en_AU.UTF-8
> SHELL=/bin/zsh
> SourcePackage: unity-place-files
> UpgradeStatus: Upgraded to natty on 2011-04-03 (31 days ago)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/unity/+bug/777866/+subscriptions
>

Alkalyzer (alkalyzer) wrote :

Ok.
That totally solved the problem.

Thank you for your help.

On Thu, 2011-06-16 at 12:40 +0000, Seif Lotfy wrote:

> ok this is a bug
> I will look into it
> but to fix it try
>
> "rm -r ~/.local/share/zeitgeist/fts.index"
>
> then restart zeitgeist :)
> it will take some time (1 minute) to build the new index but then it should
> work
>
> 2011/6/16 Lionel Trésaugues <email address hidden>
>
> > ** Attachment added: "Zeitgeist_replace.log"
> >
> > https://bugs.launchpad.net/bugs/777866/+attachment/2171541/+files/Zeitgeist_replace.log
> >
> > --
> > You received this bug notification because you are subscribed to unity-
> > place-files.
> > https://bugs.launchpad.net/bugs/777866
> >
> > Title:
> > search doesn't find any files even though unity-place-files is running
> >
> > Status in Unity:
> > New
> > Status in Unity 2D:
> > New
> > Status in Unity Files Place:
> > New
> > Status in “unity-place-files” package in Ubuntu:
> > New
> >
> > Bug description:
> > Binary package hint: unity-place-files
> >
> > Having got past bug 662619 I have unity-place-files and zeitgeist-
> > daemon installed and running. In gnome-activity-journal, I can see my
> > recently changed files, and when I click the "files & folders" button,
> > I can see some downloads, recent files, and favourite folders.
> >
> > However, when I type into the search bar in the files lens, the
> > spinner turns briefly but the list of files does not change. If I
> > type a full filename or a substring it doesn't open or narrow down to
> > that file. Also, in the global search lens, whatever that's called, I
> > can't search for files at all.
> >
> > ProblemType: Bug
> > DistroRelease: Ubuntu 11.04
> > Package: unity-place-files 0.5.46-0ubuntu5
> > ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
> > Uname: Linux 2.6.38-8-generic x86_64
> > Architecture: amd64
> > Date: Thu May 5 15:57:03 2011
> > EcryptfsInUse: Yes
> > InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64
> > (20101007)
> > ProcEnviron:
> > LANGUAGE=en_AU:en
> > PATH=(custom, user)
> > LANG=en_AU.UTF-8
> > SHELL=/bin/zsh
> > SourcePackage: unity-place-files
> > UpgradeStatus: Upgraded to natty on 2011-04-03 (31 days ago)
> >
> > To manage notifications about this bug go to:
> > https://bugs.launchpad.net/unity/+bug/777866/+subscriptions
> >
>

Florian Boucault (fboucault) wrote :

Should that bug report be closed? Is there any way to understand what happened that cause the issue?

Changed in unity-2d:
status: New → Incomplete
Martin Pool (mbp) wrote :

@fboucault, no, users being able to work around the bug by deleting cache files does not mean the bug is fixed.

Florian Boucault (fboucault) wrote :

Agreed Martin. Seif, any idea what happened?

Alex Launi (alexlauni) on 2011-08-15
Changed in unity:
status: New → Invalid
Changed in unity-lens-files:
status: New → Invalid
Changed in unity-place-files (Ubuntu):
status: New → Invalid
Changed in unity-2d:
status: Incomplete → Invalid
affects: zeitgeist → zeitgeist-extensions
Achim (ach1m) wrote :

In Oneiric the problem happens quite often for me.

I delete ./local/share/zeitgeist/fts.index and kill the zeitgeist-daemon.

Then I can find my files in the dash search again.

There has been a range of fixes in the zeitgeist-extension-fts package. Be sure that you are running the latest version and check if you can reproduce. Running 'apt-cache policy zeitgeist-extension-fts' should report 0.0.12.

I am running 0.0.13 in Oneiric and have/had the same problem. I fixed it by using the proposed "rm -r ~/.local/share/zeitgeist/fts.index" and then rebooting the computer. However, after 1-3 days (I unfortunately do not remember when I did it exactly) the bug was there again. I just repeated the fix and everything is working now again, but it is weird that it reappeared.

I do not know if it helps but it never worked before I did the fix. I did not even know that it is a feature of unity because after I upgraded to 11.04 directly it was broken from the beginning.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers